#include <X11/Intrinsic.h>

typedef struct {
  char *RomFile;
  char *RamFile;
  char *ScratchFile;
  char *Debugging;
  char *DebugArgs;
  char *bbg;
  unsigned NoXShm;
  unsigned Serial;
  char *SerialPort;
  unsigned RamSize;
  unsigned PrivateColormap;
  unsigned MemVersion;
  unsigned ResetPilot;
  unsigned NoCheck;
  unsigned DoublePixels;
  unsigned MagFactor;
  char *DataDir;
  Widget topWidget;
  XtAppContext context;

  /* ipc variables */
  int shmid;          /* share mem id */
  int serial_pipefd[2];
  int gdb_pipefd[2];
#define serial_in     serial_pipefd[0]        /* read from this fd */
#define serial_out    serial_pipefd[1]        /* write to this fd */
#define gdb_in                gdb_pipefd[0]           /* read from this fd */
#define gdb_out               gdb_pipefd[1]           /* write to this fd */
 
  /* thread variables */
  int threads;        /* number of threads created */
} Pilot, *Pilot_P;
